import java.io.Serializable;

public class CdbTuple implements Serializable {
	
	
	/**
	 * for serialization
	 */
	private static final long serialVersionUID = -8537171694674323049L;

	/**
	 * Represents an addition bound matrix
	 */
	private ABMatrix abm;
	
	/**
	 * names is a list of variable names associated with the rows and columns
	 */
	private String[] names;
	
	/**
	 * The do nothing constructor, you will probably want to write a do 
	 * something constructor.
	 */
	public CdbTuple()
	{
		abm = null;
		names = null;
	}
	
	public CdbTuple(ABMatrix mat, String[] names )
	{
		abm = mat;
		this.names = names;
	}
	
	public boolean satisfiable()
	{
		// TODO 
		return false;
	}
	
}
